using System;
using System.Linq;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int brojPec, visina;
            {
                string[] s = Console.ReadLine().Split();
                brojPec = int.Parse(s[0]);
                visina = int.Parse(s[1]);
            }
            int[] a = Console.ReadLine().Split().Select(x => int.Parse(x)).ToArray();
            bool exists = false;
            for (int i = 0; i < brojPec; i++)
            {
                if (a[i] <= visina)
                {
                    exists = true;
                    Console.WriteLine(i + 1);
                    break;
                }
            }
            if (!exists)
            {
                Console.WriteLine(-1);
            }
        }
    }
}